## ncurses 6.0+20160213

=== debian/changelog ===
ncurses (6.0+20160213-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Add a simple autopkgtest to the package.
    - Build x32 packages.
    - Build 32bit packages on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 08:55:48 +0100

ncurses (6.0+20160213-1) unstable; urgency=low

  * New upstream patchlevel.
  * Only include debug symbols for the libraries in the -dbg packages,
    use automatic -dbgsym packages for ncurses-{bin,examples} and the
    multilib packages.
  * Bump debhelper compatibility level to 9.
  * Update years in debian/copyright.
  * Use https in Vcs-Git URL.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 18 Feb 2016 18:29:28 +0100

ncurses (6.0+20151024-2ubuntu2) xenial; urgency=medium

  * Build 32bit packages on s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Feb 2016 15:20:19 +0000

ncurses (6.0+20151024-2ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Add a simple autopkgtest to the package.
    - Build x32 packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Dec 2015 12:59:20 +0000

ncurses (6.0+20151024-2) unstable; urgency=medium

  * Drop the static debug libraries (Closes: #803482).
  * Remove the dependency of the -dbg packages on their -dev counterparts,
    let them depend on the libraries instead.
  * Add a dependency on ncurses-bin (>= 6.0+20151017) to libtinfo-dev,
    making piuparts happy (Closes: #803563).
  * Add an empty /usr/share/terminfo to ncurses-base to work around
    FTBFS in jed and slrn (see #804083, #804084).
  * Update Vcs-Browser field to use cgit and https.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 Nov 2015 20:53:12 +0100

ncurses (6.0+20151024-1) unstable; urgency=low

  * New upstream patchlevel.
    - Improve configure check for setting WILDCARD_SYMS variable; on ppc64
      the variable is in the Data section rather than Text (patch by Michel
      Normand, Closes: #802810).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 25 Oct 2015 15:25:20 +0100

ncurses (6.0+20151017-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream patchlevel.
    - Improve check for working poll() by using posix_openpt() as a
      fallback in case there is no valid terminal on the standard input
      (Closes: #676461).
    - Modify ncurses/Makefile.in to sort keys.list in POSIX locale
      (Closes: #801864).
  * Update symbols files for new symbol _nc_write_object.
  * Bump build dependencies on debhelper (>= 9.20141010) and
    dpkg-dev (>= 1.17.14) for build profiles support.
  * Update rxvt-unicode terminfo description from upstream CVS Rev 1.35
    (Closes: #801709).
  * Move the ncurses{w,}5-config scripts to their respective -dev
    packages again (Closes: #745479).

  [ Johannes Schauer ]
  * Support the nobiarch build profile for avoiding multilib. (Closes: #737946)

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 23 Oct 2015 17:01:49 +0200

ncurses (6.0+20150810-1) unstable; urgency=medium

  * New upstream release.
    - Fix comparison against "/usr/include" in misc/gen-pkgconfig.in
      (Closes: #790548).
  * Configure with "--with-abi-version=5", upstream defaults to abi 6 now.
  * Configure with "--with-versioned-syms" (Closes: #788610).
    - Bump minimal versions of all symbols as well as shlibs to 6.
  * After building the wide library, install it into a temporary
    scratchdir so that test/configure can find the necessary auxiliary
    files (see #786436).
  * Drop the libncursesw5-dev build-dependency.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 17 Aug 2015 18:01:53 +0200

ncurses (5.9+20150516-2ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jun 2015 15:49:56 +0200

ncurses (5.9+20150516-2) unstable; urgency=low

  * Move the ncurses{w,}5-config scripts back to ncurses-bin
    (Closes: #786436, reopens: #745479).
    - Readd the dependency of the -dev packages on ncurses-bin.
    - Temporarily add a build-dependency on libncursesw5-dev to
      avoid the FTBFS problem in #786436.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 21 May 2015 23:20:46 +0200

ncurses (5.9+20150516-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream patchlevel.
    - Fix FTBFS with GCC 5 (Closes: #777461).
    - Add xon, ich1, il1 to ibm3161 (patch by Stephen Powell,
      Closes: #783806).
  * Refresh patch 02-debian-backspace.diff after upstream changes to
    the screen terminfo description.
  * Move the ncurses{w,}5-config scripts to their respective -dev
    packages (Closes: #745479).
    - Enhance patch 03-debian-ncursesconfig-omit-L.diff to suppress
      output in the --libdir option, so that the scripts are identical
      across architectures.
    - Drop the dependency of the -dev packages on ncurses-bin.  
  * Remove support for upgrades from versions prior to 5.9-10.
    - Drop the maintainer scripts.
    - Drop Pre-Dependency of libncurses5 on libtinfo5.
  * Drop Conflicts of ncurses-base with ncurses and ncurses-runtime.
  * Configure with "--with-manpage-format=normal" to avoid having to
    set GZIP in debian/rules.
  * Use the armored signature for the watch files.
  * Update years in debian/copyright.
  * Upgrade Standards-Version to 3.9.6, no changes needed.

  [ Helmut Grohne ]
  * Use correct compiler for multilib cross builds. (Closes: #774404)

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 20 May 2015 18:01:10 +0200

ncurses (5.9+20140712-2ubuntu2) vivid; urgency=medium

  * Fix build with GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2015 14:04:57 +0100

ncurses (5.9+20140712-2ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Add simple autopkgtest to the package.
    - Build x32 packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Aug 2014 09:58:11 +0200
