=== debian/control ===
Source: ncurses
Section: libs
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Craig Small <csmall@debian.org>
Uploaders: Sven Joachim <svenjoac@gmx.de>
Build-Depends: debhelper (>= 9.20141010),
               dpkg-dev (>= 1.17.14),
               g++-multilib [amd64 i386 powerpc ppc64 s390 s390x sparc] <!nobiarch>,
               libgpm-dev [linux-any],
               pkg-config,
               autotools-dev,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ncurses.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ncurses.git
Homepage: http://invisible-island.net/ncurses/
XS-Testsuite: autopkgtest

Package: libtinfo5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libncurses5 (<< 5.9-3)
Breaks: dialog (<< 1.2-20130523)
Description: shared low-level terminfo library for terminal handling
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared low-level terminfo library.

Package: libncurses5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: libtinfo5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: libgpm2 [linux-any]
Description: shared libraries for terminal handling
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared libraries necessary to run programs
 compiled with ncurses.

Package: libtinfo-dev
Architecture: any
Section: libdevel
Priority: optional
Multi-Arch: same
Depends: libtinfo5 (= ${binary:Version}), ${misc:Depends},
         ncurses-bin (>= 6.0+20151017)
Replaces: libncurses5-dev (<< 5.9-3)
Breaks: binutils-gold (<< 2.21.53.20110910)
Description: developer's library for the low-level terminfo library
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the static library and symbolic link that developers
 using the low-level terminfo library will need.  Packages should not
 build-depend on this package.

Package: libtinfo5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libtinfo5 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Replaces: libncurses5-dbg (<< 5.9+20130608)
Breaks: libncurses5-dbg (<< 5.9-3)
Description: debugging/profiling library for the low-level terminfo library
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains a special library version of the low-level terminfo
 library suitable for debugging and profiling. Also included are detached
 debugging symbols for libtinfo5.

Package: libncurses5-dev
Architecture: any
Section: libdevel
Priority: optional
Multi-Arch: same
Depends: libtinfo5 (= ${binary:Version}), libncurses5 (= ${binary:Version}),
         libtinfo-dev (= ${binary:Version}),
         libc6-dev | libc-dev, ${misc:Depends}
Conflicts: ncurses-dev, libncurses-dev
Replaces: ncurses-dev, libncurses-dev, ncurses-bin (<< 6.0+20151017)
Provides: libncurses-dev, ncurses-dev
Suggests: ncurses-doc
Description: developer's libraries for ncurses
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using ncurses will need.

Package: libncurses5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libtinfo5 (= ${binary:Version}), libncurses5 (= ${binary:Version}),
         libtinfo5-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: debugging/profiling libraries for ncurses
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains special library versions of ncurses suitable
 for debugging and profiling. Also included are detached debugging
 symbols for libncurses5.

Package: libncursesw5
Architecture: any
Priority: important
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: libtinfo5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: libgpm2 [linux-any]
Description: shared libraries for terminal handling (wide character support)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared libraries necessary to run programs
 compiled with ncursesw, which includes support for wide characters.

Package: libncursesw5-dev
Architecture: any
Section: libdevel
Priority: optional
Multi-Arch: same
Depends: libtinfo5 (= ${binary:Version}), libncursesw5 (= ${binary:Version}),
         libtinfo-dev (= ${binary:Version}),
         libc6-dev | libc-dev, ${misc:Depends}
Replaces: ncurses-bin (<< 6.0+20151017)
Suggests: ncurses-doc
Description: developer's libraries for ncursesw
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using ncursesw will need.
 .
 This package includes support for wide characters.

Package: libncursesw5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libtinfo5 (= ${binary:Version}), libtinfo5-dbg (= ${binary:Version}),
         libncursesw5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: debugging/profiling libraries for ncursesw
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains special library versions of ncursesw suitable
 for debugging and profiling. Also included are detached debugging
 symbols for libncursesw5.
 .
 This package includes support for wide characters.

Package: lib64ncurses5
Architecture: i386 powerpc sparc s390
Priority: optional
Depends: lib64tinfo5 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Replaces: amd64-libs (<= 1.2)
Build-Profiles: <!nobiarch>
Description: shared libraries for terminal handling (64-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared libraries necessary to run programs
 compiled with ncurses.
 .
 This package supports the 64-bit ABI variant of your system's
 architecture.

Package: lib64ncurses5-dev
Architecture: i386 powerpc sparc s390
Section: libdevel
Priority: optional
Depends: lib64ncurses5 (= ${binary:Version}),
         lib64tinfo5 (= ${binary:Version}),
         libncurses5-dev (= ${binary:Version}), lib64c-dev, ${misc:Depends}
Suggests: ncurses-doc
Replaces: amd64-libs-dev (<= 1.2), lib64tinfo5-dev
Build-Profiles: <!nobiarch>
Description: developer's libraries for ncurses (64-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using ncurses will need.
 .
 This package supports the 64-bit ABI variant of your system's
 architecture.

Package: lib32ncurses5
Architecture: amd64 ppc64 s390x
Priority: optional
Depends: lib32tinfo5 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Replaces: ia32-libs (<< 1.10)
Build-Profiles: <!nobiarch>
Description: shared libraries for terminal handling (32-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared libraries necessary to run programs
 compiled with ncurses.
 .
 This package supports the 32-bit ABI variant of your system's
 architecture.

Package: lib32ncurses5-dev
Architecture: amd64 ppc64 s390x
Section: libdevel
Priority: optional
Depends: lib32tinfo5 (= ${binary:Version}), lib32ncurses5 (= ${binary:Version}),
         lib32tinfo-dev (= ${binary:Version}),
         libncurses5-dev (= ${binary:Version}), lib32c-dev, ${misc:Depends}
Suggests: ncurses-doc
Build-Profiles: <!nobiarch>
Description: developer's libraries for ncurses (32-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using ncurses will need.
 .
 This package supports the 32-bit ABI variant of your system's
 architecture.

Package: lib32ncursesw5
Architecture: amd64 ppc64 s390x
Priority: optional
Depends: lib32tinfo5 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Build-Profiles: <!nobiarch>
Description: shared libraries for terminal handling (wide character support) (32-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared libraries necessary to run programs
 compiled with ncursesw, which includes support for wide characters.
 .
 This package supports the 32-bit ABI variant of your system's
 architecture.

Package: lib32ncursesw5-dev
Architecture: amd64 ppc64 s390x
Section: libdevel
Priority: optional
Depends: lib32tinfo5 (= ${binary:Version}), lib32ncursesw5 (= ${binary:Version}),
         lib32tinfo-dev (= ${binary:Version}),
         libncursesw5-dev (= ${binary:Version}), lib32c-dev, ${misc:Depends}
Suggests: ncurses-doc
Build-Profiles: <!nobiarch>
Description: developer's libraries for ncursesw (32-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using ncursesw will need.
 .
 This package includes support for wide characters.
 This package supports the 32-bit ABI variant of your system's
 architecture.

Package: lib64tinfo5
Architecture: i386 powerpc sparc s390
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: lib64ncurses5 (<< 5.9-3)
Breaks: lib64ncurses5 (<< 5.9-3)
Build-Profiles: <!nobiarch>
Description: shared low-level terminfo library for terminal handling (64-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared low-level terminfo library.
 .
 This package supports the 64-bit ABI variant of your system's architecture.

Package: lib32tinfo5
Architecture: amd64 ppc64 s390x
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: lib32ncurses5 (<< 5.9-3)
Breaks: lib32ncurses5 (<< 5.9-3)
Build-Profiles: <!nobiarch>
Description: shared low-level terminfo library for terminal handling (32-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared low-level terminfo library.
 .
 This package supports the 32-bit ABI variant of your system's architecture.

Package: lib32tinfo-dev
Architecture: amd64 ppc64 s390x
Section: libdevel
Priority: optional
Depends: lib32tinfo5 (= ${binary:Version}),
         lib32c-dev, ${misc:Depends}
Replaces: lib32ncurses5-dev (<< 5.9-3), lib32tinfo5-dev
Breaks: lib32ncurses5-dev (<< 5.9-3)
Build-Profiles: <!nobiarch>
Description: developer's library for the low-level terminfo library (32-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the static library and symbolic link that developers
 using the low-level terminfo library will need.  Packages should not
 build-depend on this package.
 .
