=== debian/tests/control ===
Tests: build
Depends: libncurses5-dev, build-essential, pkg-config
