## ncurses 6.0+20161126

=== debian/changelog ===
ncurses (6.0+20161126-1+deb9u5) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Mitigate CVE-2023-29491: Disallow loading of custom terminfo
    entries in setuid/setgid programs.

 -- Adrian Bunk <bunk@debian.org>  Sun, 17 Dec 2023 13:32:01 +0200

ncurses (6.0+20161126-1+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the Extended LTS Security Team.
  * Cherry-pick upstream fix for CVE-2020-19189.
  * Add additional CVEs fixed to CVE-2019-17594.diff & CVE-2020-17595.diff.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Sep 2023 13:44:56 +0100

ncurses (6.0+20161126-1+deb9u3) stretch; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2022-29458
    Avoid out-of-bounds read in convert_strings in the terminfo library.
  * CVE-2019-17595
    Check for missing character after backslash in fmt_entry.
  * CVE-2019-17594
    Check for invalid hashcode in _nc_find_type_entry and nc_find_entry.
  * CVE-2018-19211
    Avoid NULL pointer dereference in _nc_parse_entry.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Jul 2022 22:03:02 +0200

ncurses (6.0+20161126-1+deb9u2) stretch; urgency=medium

  * Cherry-pick upstream fix from the 20171125 patchlevel to fix
    a buffer overflow in the _nc_write_entry function
    (CVE-2017-16879, Closes: #882620).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 28 Dec 2017 10:47:33 +0100

ncurses (6.0+20161126-1+deb9u1) stretch; urgency=medium

  * Cherry-pick upstream fixes from the 20170701 and 20170708 patchlevels
    for various crash bugs in the tic library and the tic binary
    (CVE-2017-10684, CVE-2017-10685, CVE-2017-11112, CVE-2017-11113).
  * Backport termcap-format fix from the 20170715 patchlevel, repairing a
    regression from the above security fixes (see #868266).
  * Cherry-pick upstream fixes from the 20170826 patchlevel for more
    crash bugs in the tic library (CVE-2017-13728, CVE-2017-13729,
    CVE-2017-13730, CVE-2017-13731, CVE-2017-13732, CVE-2017-13734,
    Closes: #873723).
  * Cherry-pick upstream fixes from the 20170902 patchlevel to fix
    another crash bug in the tic program (CVE-2017-13733, Closes: #873746).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 07 Sep 2017 19:05:43 +0200

ncurses (6.0+20161126-1) unstable; urgency=low

  * New upstream patchlevel.
    - Omit selection of ISO-8859-1 for G0 in enacs capability from
      linux2.6 entry, to avoid conflict with the user-defined mapping
      (Closes: #830694).
  * Update symbols files for new symbol unfocus_current_field.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 29 Nov 2016 21:19:08 +0100

ncurses (6.0+20160917-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Fix typo in 20160910 changes (Closes: #837892, patch by Sven Joachim).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 21 Sep 2016 18:37:15 +0200

ncurses (6.0+20160910-1) unstable; urgency=low

  * New upstream patchlevel.
    - Trim trailing blanks from include/Caps*, to work around a problem
      in sed (Closes: #818067).
  * Invoke configure via relative paths to prevent the build path from
    showing up in binaries.
  * Enable parallel builds.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 14 Sep 2016 20:09:34 +0200

ncurses (6.0+20160625-1) unstable; urgency=low

  * New upstream patchlevel.
    - Make linux3.0 entry the default linux entry (Closes: #823658, #515609).
    - Improve manual pages for wgetch and wget_wch to point out that they
      might return values without names in curses.h (Closes: #822426).
    - Amend change to _nc_do_color to restore the early return for the
      special case used in _nc_screen_wrap (report by Dick Streefland,
      Closes: #816887).
  * Update xterm.ti from xterm 325.
  * Enable the bindnow hardening flag.
  * Really install the Debian FAQ into the libtinfo5 package.
  * Update links in the Debian FAQ.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 06 Jul 2016 18:00:26 +0200

ncurses (6.0+20160319-2) unstable; urgency=low

  * Team upload

  [ Roger Shimizu ]
  * Add udeb support to libtinfo5 (Closes: #819397).

  [ Sven Joachim ]
  * Do not include the tic library in the libtinfo5-udeb package.

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Uploading the package for Sven. Upload sponsoring is needed since
    there is a new binary (udeb) package included.

 -- Axel Beckert <abe@debian.org>  Sun, 19 Jun 2016 23:26:15 +0200

ncurses (6.0+20160319-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Amend workaround for Solaris line-drawing to restore a special case
      that maps Unicode line-drawing characters into the acsc string for
      non-Unicode locales (Closes: #816888).
  * Upgrade Standards-Version to 3.9.7, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 25 Mar 2016 09:48:16 +0100
