=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,15 @@
 # This file has gone through many maintainers.  Mostly rewritten
 # by Daniel Jacobowitz.
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
-export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS) -Otarget
+endif
+
+CFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get CFLAGS)
+export CPPFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get CPPFLAGS)
+export CXXFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get LDFLAGS)
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 HOST_CC ?= $(DEB_HOST_GNU_TYPE)-gcc
@@ -42,20 +47,13 @@
 package-dbgti=libtinfo$(soname)-dbg
 package-term=ncurses-term
 package-examples=ncurses-examples
-package-lib-x32=libx32ncurses$(soname)
-package-ti-x32=libx32tinfo$(soname)
-package-libw-x32=libx32ncursesw$(soname)
-package-dev-x32=libx32ncurses$(soname)-dev
-package-devti-x32=libx32tinfo-dev
-package-devw-x32=libx32ncursesw$(soname)-dev
-
-m32_flag= -m32
 
 workdir=$(shell pwd)
 tempdir=debian/tmp
 fulltempdir=$(workdir)/$(tempdir)
 
 srcdir=$(shell pwd)
+relsrcdir=..
 objdir=$(srcdir)/obj
 objdir-static=$(srcdir)/obj-static
 objdir-32=$(srcdir)/obj-32
@@ -66,8 +64,6 @@
 objdir-debug=$(srcdir)/obj-debug
 wobjdir-debug=$(srcdir)/obj-wide-debug
 objdir-test=$(srcdir)/obj-test
-objdir-x32=$(srcdir)/obj-x32
-wobjdir-x32=$(srcdir)/obj-wide-x32
 
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -85,8 +81,6 @@
 ifeq ($(DEB_HOST_ARCH),i386)
 build_64_target = x86_64-$(DEB_HOST_GNU_SYSTEM)
 build_64 = build-64
-build_x32_target = x86_64-linux-gnux32
-build_x32 = build-x32 build-wide-x32
 endif
 
 ifeq ($(DEB_HOST_ARCH),powerpc)
@@ -97,14 +91,6 @@
 ifeq ($(DEB_HOST_ARCH),s390)
 build_64_target = s390x-$(DEB_HOST_GNU_SYSTEM)
 build_64 = build-64
-endif
-
-ifeq ($(DEB_HOST_ARCH),s390x)
-build_32_target = s390-$(DEB_HOST_GNU_SYSTEM)
-build_32 = build-32 build-wide-32
-lib32 = /lib32
-usr_lib32 = /usr/lib32
-m32_flag = -m31
 endif
 
 ifeq ($(DEB_HOST_ARCH),sparc)
@@ -117,8 +103,6 @@
 build_32 = build-32 build-wide-32
 lib32 = /lib32
 usr_lib32 = /usr/lib32
-build_x32_target = x86_64-linux-gnux32
-build_x32 = build-x32 build-wide-x32
 endif
 
 ifeq ($(DEB_HOST_ARCH),ppc64)
@@ -157,6 +141,7 @@
 		--without-progs \
 		$(with_mouse) \
 		--enable-symlinks \
+		--disable-root-environ \
 		--disable-lp64 \
 		--with-chtype='long' \
 		--with-mmask-t='long' \
@@ -209,7 +194,7 @@
 
 $(objdir)/config.status: config.guess-stamp
 	test -d $(objdir) || mkdir $(objdir)
-	cd $(objdir) && CFLAGS="$(CFLAGS)" $(srcdir)/configure \
+	cd $(objdir) && CFLAGS="$(CFLAGS)" $(relsrcdir)/configure \
 		$(CONFARGS) \
 		--with-progs \
 		--with-install-prefix=$(fulltempdir) \
@@ -217,7 +202,7 @@
 
 $(objdir-static)/config.status: config.guess-stamp
 	test -d $(objdir-static) || mkdir $(objdir-static)
-	cd $(objdir-static) && CFLAGS="$(CFLAGS)" $(srcdir)/configure \
+	cd $(objdir-static) && CFLAGS="$(CFLAGS)" $(relsrcdir)/configure \
 		$(CONFARGS) \
 		--without-shared \
 		--without-dlsym \
@@ -229,9 +214,9 @@
 
 	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
 	cf_cv_working_poll=yes; export cf_cv_working_poll; \
-	cd $(objdir-32) && CFLAGS="$(CFLAGS)" CC="$(HOST_CC) $(m32_flag)" \
-		BUILD_CC="gcc" CXX="$(HOST_CXX) $(m32_flag)" \
-		$(srcdir)/configure \
+	cd $(objdir-32) && CFLAGS="$(CFLAGS)" CC="$(HOST_CC) -m32" \
+		BUILD_CC="gcc" CXX="$(HOST_CXX) -m32" \
+		$(relsrcdir)/configure \
 		$(CONFARGS) \
 		--host=$(build_32_target) \
 		--without-gpm \
@@ -245,13 +230,19 @@
 	cf_cv_working_poll=yes; export cf_cv_working_poll; \
 	cd $(objdir-64) && CFLAGS="$(CFLAGS)" CC="$(HOST_CC) -m64" \
 		BUILD_CC="gcc" CXX="$(HOST_CXX) -m64" \
-		$(srcdir)/configure \
+		$(relsrcdir)/configure \
 		$(CONFARGS) \
 		--host=$(build_64_target) \
 		--without-gpm \
 		--with-install-prefix=$(fulltempdir) \
 		--enable-overwrite --libdir=/usr/lib64
 
-$(objdir-x32)/config.status:
-	test -d $(objdir-x32) || mkdir $(objdir-x32)
-
+$(objdir-debug)/config.status: config.guess-stamp
+	test -d $(objdir-debug) || mkdir $(objdir-debug)
+	cd $(objdir-debug) && \
+		CFLAGS="$(CFLAGS) -DTRACE" $(relsrcdir)/configure \
+		$(CONFARGS) \
+		--without-normal \
+		--with-install-prefix=$(fulltempdir) \
+		--enable-overwrite --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+
